Update compensation details
Update compensation details
Required permissions: COMPENSATION
put/tenants/{tenantUid}/compensations/{compensationUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+compensationUidstringRequiredPattern:
Reference to a compensation.
^[A-Za-z0-9-_]+Body
namestringOptional
codestringOptional
RequireReferringOrderLinesbooleanOptional
When an order is marked with a compensation with this field set to true, the order must have order lines referring to a settled sale
Responses
200
Example response
application/json
namestringRequired
codestringRequired
compensationUidstringRequiredPattern:
^[A-Za-z0-9-_]+put/tenants/{tenantUid}/compensations/{compensationUid}
PUT /v2/tenants/{tenantUid}/compensations/{compensationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"name": "text",
"code": "text",
"RequireReferringOrderLines": true
}200
Example response
{
"name": "text",
"code": "text",
"compensationUid": "text"
}Last updated
Was this helpful?

